<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical"
    tools:context=".home.PersonalFragment">

    <LinearLayout
        android:id="@+id/headerLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_personal_header_gradient"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp"
        android:paddingTop="16dp"
        android:paddingBottom="18dp">

        <ImageView
            android:id="@+id/ivAvatar"
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:padding="2dp"/>

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:layout_weight="1"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/tvNickname"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/enter_nickname"
                    android:textColor="@color/black"
                    android:textSize="16dp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tvRoleTag"
                    android:layout_width="wrap_content"
                    android:layout_height="18dp"
                    android:layout_marginStart="8dp"
                    android:background="@drawable/rounded_blue_bg"
                    android:gravity="center"
                    android:paddingHorizontal="8dp"
                    android:text="@string/admin"
                    android:textColor="@color/white"
                    android:textSize="11sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <TextView
                android:id="@+id/tvPhone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="4dp"
                android:text="13589898989"
                android:textColor="#666666"
                android:textSize="16dp" />
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:id="@+id/itemSwitchFamily"
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp">

        <ImageView
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:src="@drawable/switch_family" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:text="@string/switch_family"
            android:textColor="@color/black"
            android:textSize="16dp" />

        <TextView
            android:id="@+id/tvCurrentFamily"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="end"
            android:text="@string/my_family"
            android:textColor="@color/green"
            android:textSize="14dp" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/right_back" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/itemUserManage"
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp">

        <ImageView
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:src="@drawable/user_manage" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_weight="1"
            android:text="@string/user_management"
            android:textColor="@color/black"
            android:textSize="16dp" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:src="@drawable/right_back" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/itemPwdManage"
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp">

        <ImageView
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:src="@drawable/pwd_manager" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_weight="1"
            android:text="@string/password_management"
            android:textColor="@color/black"
            android:textSize="16dp" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:src="@drawable/right_back" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/itemFaceManage"
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp">

        <ImageView
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:src="@drawable/face_manage" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="16dp"
            android:layout_weight="1"
            android:text="@string/face_management"
            android:textColor="@color/black"
            android:textSize="16dp" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:src="@drawable/right_back" />
    </LinearLayout>
    <LinearLayout
        android:id="@+id/itemLanguage"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingHorizontal="16dp">
        <ImageView
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:src="@drawable/voice_translation" />

        <TextView
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="@string/language_settings"
            android:layout_marginStart="16dp"
            android:textColor="@color/black"
            android:textSize="16dp" />

        <TextView
            android:id="@+id/tvCurrentLanguage"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="@string/chinese"
            android:textColor="@color/gray"
            android:textSize="14sp" />

        <ImageView
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/right_back" />
    </LinearLayout>

    <Space
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1" />

    <TextView
        android:id="@+id/btnLogout"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_marginHorizontal="24dp"
        android:layout_marginBottom="28dp"
        android:background="@drawable/bg_logout_button"
        android:gravity="center"
        android:text="@string/logout"
        android:textColor="#9B9B9B"
        android:textSize="14dp" />


</LinearLayout>